# CollisionManager
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.managers.collision

## Class CollisionManager

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.managers.collision.CollisionManager

    public class CollisionManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CollisionManager(org.bukkit.entity.ArmorStand holder, StorageVehicle storageVehicle, java.util.List<Part> partList, SpawnedVehicle spawnedVehicle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkCollision()` Handle and check the current collision status

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollisionManager

    public CollisionManager(org.bukkit.entity.ArmorStand holder,
                            StorageVehicle storageVehicle,
                            java.util.List<Part> partList,
                            SpawnedVehicle spawnedVehicle)

### Method Detail

#### checkCollision

    public void checkCollision()

Handle and check the current collision status